[standalone]
standalone1 ansible_ssh_host=10.0.2.11

[redis_nodes]
redisnode1 ansible_ssh_host=10.0.2.11
redisnode2 ansible_ssh_host=10.0.2.12
redisnode3 ansible_ssh_host=10.0.2.13
redisnode4 ansible_ssh_host=10.0.2.14
redisnode5 ansible_ssh_host=10.0.2.15
redisnode6 ansible_ssh_host=10.0.2.16

[master_nodes]
masternode1 ansible_ssh_host=10.0.2.11 master_id=0
masternode2 ansible_ssh_host=10.0.2.12 master_id=1
masternode3 ansible_ssh_host=10.0.2.13 master_id=2

[slave_nodes]
slavenode1 ansible_ssh_host=10.0.2.14 master_id=2
slavenode2 ansible_ssh_host=10.0.2.15 master_id=0
slavenode3 ansible_ssh_host=10.0.2.16 master_id=1

[redis_cluster:children]
master_nodes
slave_nodes

[cluster_formation_node]
masternode1

[redis_cluster:vars]
redis_port=6379
master_redis_port=6379
slave_redis_port=6380

[all:vars]
ansible_python_interpreter=/usr/bin/python3
ansible_user=ubuntu
